Bug 454172 - Review Request: gfs-fleischman-fonts - GFS Fleischman majuscule Greek font
Review Request: gfs-fleischman-fonts - GFS Fleischman majuscule Greek font
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-05 19:57 EDT by Nicolas Mailhot
Modified: 2013-03-13 01:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-11 17:58:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sundaram: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2008-07-05 19:57:49 EDT
Spec URL: http://nim.fedorapeople.org/gfs-fleischman-fonts.spec
SRPM URL: http://nim.fedorapeople.org/gfs-fleischman-fonts-20080303-1.fc10.src.rpm

Description:
As it is known, the Greek alphabet was used in majuscule form for over a
millenium before the miniscule letters gradually replaced it until they became
the official script in the 9th century A.D. Thereafter, majuscule letters were
confined to sparce use as initials or elaborate titles until the Italian
Renaissance.

The new art of Typography, as well as the need of the humanists to mimic the
ancient Greco-Roman period brought back the extensive use of the majuscule
letterforms in both Latin and Greek typography. Greek books of the time were
printed using the contemporary Byzantine hand with which they combined capital
letters modeled on the Roman antiquity, i.e. with thick and thin strokes and
serifs. At the same time the byzantine majuscule tradition, principally used on
theological editions, remained alive until the early 19th century.

GFS Fleischman was cut by Johann Michael Fleishman, typecutter of the Dutch
Enschedé foundry and follows the baroque style of the mid-18th century
aesthetics.

It has been designed by George D. Matthiopoulos.

See also http://fedoraproject.org/wiki/GFS_Fleischman_font
Comment 1 Minto Joseph 2008-07-09 11:21:32 EDT
Unofficial Review

- Rpmlint: OK
- Package name: OK
  - Version: Based on a date: OK
- Specfile name: OK
- Packaging guidelines: OK
- Software license: OK
- License field in the spec file: OK
- License text from the source zip file included in %doc: OK
- The spec file is in American English: OK
- The spec file is legible: OK
- Source files the same as provided by upstream: NOT OK
- Builds into a binary RPM; not architecture dependent, builds ok. OK
- No BuildRequires; doesn't depend on any libraries or tools besides the base
system: OK
- No locales, no need to use %find_lang: OK
- No shared libraries: OK
- Package not relocatable: OK
- Package owns all the created directories: OK
- No duplicates in %files: OK
- File permissions: OK
- Proper %clean section: OK
- Consistent macro use: OK
- No large documentation files, no -doc subpackage: OK
- Font doesn't need %doc files for operation: OK
- No header files, no -devel subpackage: OK
- No static libraries, no -static subpackage: OK
- No dependency on pkgconfig: OK
- No .la archives: OK
- Not a GUI app, no .desktop file: OK
- No other packages' files owned: OK
- rm -rf %{buildroot} is run at the beginning of %install: OK
- All filenames valid UTF-8: OK



Found few typos in the %description section in spec file.

millenium = millennium
sparce = sparse
Comment 2 Nicolas Mailhot 2008-07-09 15:25:41 EDT
Thank you for doing this review (even if informally)

You're right there are typos in the text. I cut and pasted upstream text which
sadly needs proofing; I'll probably run it all through a spellchecker before
initial import if the package is approved.

I'm surprised about this line
- Source files the same as provided by upstream: NOT OK

This upstream has been known to replace zip files with new versions without
changing their names, but checksumming a new download does not show any change there
Comment 3 Minto Joseph 2008-07-10 06:23:19 EDT
- Source files the same as provided by upstream: OK

Sorry.. it was a typo from my part .. 
Comment 4 Nicolas Mailhot 2008-07-11 07:09:55 EDT
(In reply to comment #1)
> Unofficial Review

BTW your "Unofficial" reviews seem pretty much "full" reviews to me. Is there
any reason why they can't be official?

If the problem is you're not sponsored, I unfortunately do not know the
level/number of reviews required before one can be sponsored (plus sponsoring
someone just because he ok-ed of my packages strikes me as a bit unethical).

However, there are pretty simple packaging requests languishing in the Fonts SIG
wishlist:
— http://fedoraproject.org/wiki/SIL_Padauk_fontshttp://fedoraproject.org/wiki/Conakry_fontshttp://fedoraproject.org/wiki/Ancient_Scripts_fonts
(full list here: http://fedoraproject.org/wiki/Category:Font_wishlist )

I'd have no problem sponsoring someone who did one of those
(just like I just did for Michal Nowak in bug #454078)

Since you've reviewed a font package most of the packaging should have no
surprises for you. This page explains how one picks up items in the Fonts SIG
wishlist:
http://fedoraproject.org/wiki/Font_package_lifecycle#2.a
Comment 5 Rahul Sundaram 2008-07-11 10:51:29 EDT
Thanks Mintos for the review. This package is APPROVED
Comment 6 Nicolas Mailhot 2008-07-11 11:34:16 EDT
New Package CVS Request
=======================
Package Name: gfs-fleischman-fonts
Short Description: GFS Fleischman majuscule Greek font
Owners: nim
Branches: devel only
InitialCC: fonts-sig
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-07-11 12:21:57 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.